<?php
/**
* タスクガード条件例外
*
* PHP version 5
*
* @package    components.db
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

class TaskGuardConditionException extends CharcoalException
{
	public function __construct( ITask $task, ITask $guard_task, String $field, String $message )
	{
		$msg  = " [task] $task [guard task] $guard_task [field] $field [message] $message";

		parent::__construct( $msg );

		ExceptionStack::push( $this );
	}
}

return __FILE__;